> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tkhub.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 图片编辑任务创建



## OpenAPI

````yaml /api.json post /v1/images/task/edits
openapi: 3.0.1
info:
  title: TKHub API
  description: TKHub 平台 API 接口文档
  version: 1.0.0
servers:
  - url: https://api.tkhub.ai
    description: 生产环境
  - url: https://api-test.tkhub.ai
    description: 测试环境
security:
  - bearerAuth: []
paths:
  /v1/images/task/edits:
    post:
      tags: []
      summary: 图片编辑任务创建
      parameters:
        - name: Authorization
          in: header
          description: ''
          required: true
          example: Bearer sk-xxxxxx
          schema:
            type: string
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                model:
                  description: 模型名称
                  example: ''
                  type: string
                prompt:
                  description: 所需图像的文本描述。最大长度为 1000 个字符。
                  example: ''
                  type: string
                size:
                  description: 生成图像的大小。目前支持 1024x1024之一。
                  example: ''
                  type: string
                image:
                  type: string
                  format: binary
                  example: ''
            examples: {}
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        使用 Bearer Token 认证。
        格式: `Authorization: Bearer sk-xxxxxx`

````